Bug 156753 - [Fetch API] Add support for fetch mode, in particular cors
Summary: [Fetch API] Add support for fetch mode, in particular cors
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords:
Depends on: 157837
Blocks: 151937
  Show dependency treegraph
 
Reported: 2016-04-19 11:51 PDT by youenn fablet
Modified: 2016-07-26 13:19 PDT (History)
4 users (show)

See Also:


Attachments
Patch (119.15 KB, patch)
2016-04-19 11:56 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews103 for mac-yosemite (741.45 KB, application/zip)
2016-04-19 12:45 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews116 for mac-yosemite (1.63 MB, application/zip)
2016-04-19 13:28 PDT, Build Bot
no flags Details
Patch (91.19 KB, patch)
2016-07-25 09:14 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews103 for mac-yosemite (832.91 KB, application/zip)
2016-07-25 10:00 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews115 for mac-yosemite (1.37 MB, application/zip)
2016-07-25 10:14 PDT, Build Bot
no flags Details
Adding WK2 specific baselines for https tests (98.74 KB, patch)
2016-07-26 11:13 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Adding WK2 specific baselines for https tests (105.08 KB, patch)
2016-07-26 11:56 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch for landing (105.08 KB, patch)
2016-07-26 12:48 PDT, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description youenn fablet 2016-04-19 11:51:53 PDT
fetch API should support mode option, in particular to handle cors.
Comment 1 youenn fablet 2016-04-19 11:56:34 PDT
Created attachment 276738 [details]
Patch
Comment 2 Build Bot 2016-04-19 12:45:44 PDT
Comment on attachment 276738 [details]
Patch

Attachment 276738 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/1187157

New failing tests:
imported/w3c/web-platform-tests/fetch/api/cors/cors-cookies.html
imported/w3c/web-platform-tests/fetch/api/cors/cors-filtering-worker.html
imported/w3c/web-platform-tests/fetch/api/cors/cors-filtering.html
imported/w3c/web-platform-tests/fetch/api/cors/cors-cookies-worker.html
Comment 3 Build Bot 2016-04-19 12:45:46 PDT
Created attachment 276746 [details]
Archive of layout-test-results from ews103 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews103  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 4 Build Bot 2016-04-19 13:28:12 PDT
Comment on attachment 276738 [details]
Patch

Attachment 276738 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/1187227

New failing tests:
imported/w3c/web-platform-tests/fetch/api/cors/cors-filtering-worker.html
imported/w3c/web-platform-tests/fetch/api/cors/cors-preflight.html
imported/w3c/web-platform-tests/fetch/api/cors/cors-cookies-worker.html
imported/w3c/web-platform-tests/fetch/api/cors/cors-redirect.html
imported/w3c/web-platform-tests/fetch/api/cors/cors-preflight-referrer.html
imported/w3c/web-platform-tests/fetch/api/cors/cors-redirect-credentials.html
imported/w3c/web-platform-tests/fetch/api/basic/integrity-worker.html
imported/w3c/web-platform-tests/fetch/api/cors/cors-multiple-origins-worker.html
imported/w3c/web-platform-tests/fetch/api/basic/integrity.html
imported/w3c/web-platform-tests/fetch/api/basic/mode-no-cors.html
imported/w3c/web-platform-tests/fetch/api/cors/cors-filtering.html
imported/w3c/web-platform-tests/fetch/api/basic/mode-no-cors-worker.html
imported/w3c/web-platform-tests/fetch/api/cors/cors-origin.html
imported/w3c/web-platform-tests/fetch/api/cors/cors-cookies.html
imported/w3c/web-platform-tests/fetch/api/cors/cors-basic-worker.html
imported/w3c/web-platform-tests/fetch/api/cors/cors-multiple-origins.html
imported/w3c/web-platform-tests/fetch/api/cors/cors-basic.html
Comment 5 Build Bot 2016-04-19 13:28:14 PDT
Created attachment 276751 [details]
Archive of layout-test-results from ews116 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews116  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 6 youenn fablet 2016-07-25 09:14:32 PDT
Created attachment 284491 [details]
Patch
Comment 7 Build Bot 2016-07-25 10:00:24 PDT
Comment on attachment 284491 [details]
Patch

Attachment 284491 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/1751812

New failing tests:
imported/w3c/web-platform-tests/fetch/api/cors/cors-basic.html
imported/w3c/web-platform-tests/fetch/api/basic/mode-no-cors.html
imported/w3c/web-platform-tests/fetch/api/basic/mode-no-cors-worker.html
Comment 8 Build Bot 2016-07-25 10:00:26 PDT
Created attachment 284494 [details]
Archive of layout-test-results from ews103 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews103  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 9 Build Bot 2016-07-25 10:13:57 PDT
Comment on attachment 284491 [details]
Patch

Attachment 284491 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/1751830

New failing tests:
imported/w3c/web-platform-tests/fetch/api/cors/cors-basic.html
imported/w3c/web-platform-tests/fetch/api/basic/mode-no-cors.html
imported/w3c/web-platform-tests/fetch/api/basic/mode-no-cors-worker.html
Comment 10 Build Bot 2016-07-25 10:14:01 PDT
Created attachment 284496 [details]
Archive of layout-test-results from ews115 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews115  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 11 youenn fablet 2016-07-26 11:13:50 PDT
Created attachment 284605 [details]
Adding WK2 specific baselines for https tests
Comment 12 youenn fablet 2016-07-26 11:18:01 PDT
(In reply to comment #9)
> Comment on attachment 284491 [details]
> Patch
> 
> Attachment 284491 [details] did not pass mac-debug-ews (mac):
> Output: http://webkit-queues.webkit.org/results/1751830
> 
> New failing tests:
> imported/w3c/web-platform-tests/fetch/api/cors/cors-basic.html
> imported/w3c/web-platform-tests/fetch/api/basic/mode-no-cors.html
> imported/w3c/web-platform-tests/fetch/api/basic/mode-no-cors-worker.html

In WK1, fetch with HTTPS urls on WPT server is going fine.

In Mac WK2, fetch with HTTPS urls on WPT server is stopped as the certificate is not valid. This may be related to bug 155132.

I plan to land this patch with these  specific baselines are added for Wk2.
Comment 13 youenn fablet 2016-07-26 11:56:53 PDT
Created attachment 284613 [details]
Adding WK2 specific baselines for https tests
Comment 14 youenn fablet 2016-07-26 12:48:57 PDT
Created attachment 284620 [details]
Patch for landing
Comment 15 WebKit Commit Bot 2016-07-26 13:19:15 PDT
Comment on attachment 284620 [details]
Patch for landing

Clearing flags on attachment: 284620

Committed r203732: <http://trac.webkit.org/changeset/203732>
Comment 16 WebKit Commit Bot 2016-07-26 13:19:19 PDT
All reviewed patches have been landed.  Closing bug.